slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSolveTranspose

Solves the transpose matrix function problem. Given a vector b, the vector x = f(A^T)*b is returned.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSolveTranspose(MFN mfn,Vec b,Vec x)

Collective

### Input Parameters

| mfn | - matrix function context obtained from MFNCreate()
| b | - the right hand side vector

### Output Parameter

| x | - the solution (this may be the same vector as b, then b will be overwritten with the answer)

### Note

See available options at MFNSolve().

### See Also

MFNSolve()

### Level

beginner

### Location

src/mfn/interface/mfnsolve.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages